Package org.apache.sling.launchpad.testservices.jcr

# Class TestNamespaceMapper

java.lang.Object
org.apache.sling.launchpad.testservices.jcr.TestNamespaceMapper

All Implemented Interfaces:
  `org.apache.sling.jcr.api.NamespaceMapper`

public class TestNamespaceMapper extends Object implements org.apache.sling.jcr.api.NamespaceMapper
Test Implementation of NamespaceMapper

## Constructor Summary

Constructors
Constructor
Description
`TestNamespaceMapper()`

## Method Summary

Modifier and Type
Method
Description
`void`
`defineNamespacePrefixes(javax.jcr.Session session)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TestNamespaceMapper

public TestNamespaceMapper()

## Method Details

### defineNamespacePrefixes

public void defineNamespacePrefixes(javax.jcr.Session session) throws javax.jcr.RepositoryException

Specified by:
  `defineNamespacePrefixes` in interface `org.apache.sling.jcr.api.NamespaceMapper`
Throws:
  `javax.jcr.RepositoryException`